%define pkgn   ipkg


Summary:       A tool to build IPKG packages
Name:          ipkgbuild
Version:       0.8.0
Release:       1%{?dist}%{?pext}
License:       GPLv2
Group:         Development/Tools
Source0:       ftp://ftp.pramberger.at/software/projects/%{name}-%{version}.tar.gz
URL:           http://www.pramberger.at/peter/software/projects/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Peter Pramberger <peterpramb@member.fsf.org>
Requires:      sed tar
BuildRequires: gnupg ipkg openssh-clients
BuildArch:     noarch


%description
Ipkgbuild is a simple tool to build packages for the IPKG Package Manager.


%prep
%setup -q


%build
%configure \
	--target=%{_host}

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__cp} -rpd sample ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%{_bindir}/%{name}
%{_prefix}/lib/%{pkgn}
%{_prefix}/src/%{pkgn}
%{_datadir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Fri Apr 17 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.0-1
- New version (0.8.0)

* Fri Oct 24 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.7.6-3
- Rewritten for buildsystem

* Mon Oct 15 2007 peter.pramberger@member.fsf.org 0.7.6-2
- new version (0.7.6)

* Mon Aug 20 2007 peter.pramberger@member.fsf.org 0.7.5-2
- new version (0.7.5)

* Fri Jul 20 2007 peter.pramberger@member.fsf.org 0.7.4-2
- new version (0.7.4)

* Thu Jul 12 2007 peter.pramberger@member.fsf.org 0.7.3-2
- new version (0.7.3)

* Tue Jul 10 2007 peter.pramberger@member.fsf.org 0.7.2-2
- new version (0.7.2)

* Fri Jul 06 2007 peter.pramberger@member.fsf.org 0.7.1-2
- new version (0.7.1)

* Wed Jul 04 2007 peter.pramberger@member.fsf.org 0.7.0-2
- created
